org.hibernate.search.engine.service.classloading.spi

## Class ClassLoadingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.hibernate.search.exception.SearchException
        - - org.hibernate.search.engine.service.classloading.spi.ClassLoadingException

- All Implemented Interfaces:
    Serializable

      public class ClassLoadingException
      extends SearchException

  Indicates a problem performing class loading.
  Author:
    Steve Ebersole, Hardy Ferentschik
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassLoadingException(String message)` Constructs a `ClassLoadingException` using the specified message.
    `ClassLoadingException(String message, Throwable cause)` Constructs a `ClassLoadingException` using the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassLoadingException

          public ClassLoadingException(String message,
                                       Throwable cause)

      Constructs a `ClassLoadingException` using the specified message and cause.
      Parameters:
        `message` - A message explaining the exception condition.
        `cause` - The underlying cause

    - #### ClassLoadingException

          public ClassLoadingException(String message)

      Constructs a `ClassLoadingException` using the specified message.
      Parameters:
        `message` - A message explaining the exception condition.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved